%define upstream_name	Youri-Package
%define upstream_version 0.2.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:	Abstract package class
License:	GPL or Artistic
Group:		Development/Other
Url:		http://youri.zarb.org
Source:		http://youri.zarb.or/download/%{upstream_name}-%{upstream_version}.tar.gz
Requires:       perl-version
BuildRequires:  perl(Expect)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(UNIVERSAL::require)
BuildRequires:  perl(URPM)
BuildRequires:  perl-version
BuildRequires:  perl(Youri::Package::RPM::Generator)
BuildArch:	    noarch

%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This class provides an uniform view over various kind of packages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
# useless comment

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes README META.yml
%{perl_vendorlib}/Youri
%{_mandir}/man3/*


%changelog
* Sat Jun 11 2011 spuhler <spuhler> 0.2.2-5.mga2
+ Revision: 103892
- increase rel for rebuild

* Sat Apr 30 2011 misc <misc> 0.2.2-4.mga1
+ Revision: 94007
- increase rebuild to allow upgrade from Mandriva ( with backports )

* Sun Mar 06 2011 guillomovitch <guillomovitch> 0.2.2-1.mga1
+ Revision: 65679
- new version

* Fri Jan 28 2011 jquelin <jquelin> 0.2.0-1.mga1
+ Revision: 42961
- fix %%doc
- update to 0.2.0
- mageia rebuild
- imported package perl-Youri-Package


* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1.1-4mdv2009.0
+ Revision: 268886
- rebuild early 2009.0 package (before pixel changes)

* Sat May 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-3mdv2009.0
+ Revision: 210963
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Apr 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-2mdv2008.0
+ Revision: 17200
- force dependency on perl-version

* Sun Apr 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-1mdv2008.0
+ Revision: 17031
- Import perl-Youri-Package

